Package com.sun.ts.lib.util.sec.security.provider

# Class SystemSigner

java.lang.Object
java.security.Identity
java.security.Signer
com.sun.ts.lib.util.sec.security.provider.SystemSigner

All Implemented Interfaces:
  `Serializable`, `Principal`

public class SystemSigner extends Signer
SunSecurity signer. Like SystemIdentity, it has a trust bit, which can be set by SunSecurity classes, and a set of accessors for other classes in sun.security.*.

Author:
  Benjamin Renaud
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SystemSigner(String name)`
  Construct a signer with a given name.
  `SystemSigner(String name, IdentityScope scope)`
  Construct a signer with a name and a scope.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isTrusted()`
  Returns true if this signer is trusted.
  `String`
  `toString()`

  ### Methods inherited from class java.security.Signer

  `getPrivateKey, setKeyPair`

  ### Methods inherited from class java.security.Identity

  `addCertificate, certificates, equals, getInfo, getName, getPublicKey, getScope, hashCode, identityEquals, removeCertificate, setInfo, setPublicKey, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.security.Principal

  `implies`

- ## Constructor Details

  - ### SystemSigner

    public SystemSigner(String name)
    Construct a signer with a given name.

  - ### SystemSigner

    public SystemSigner(String name, IdentityScope scope) throws KeyManagementException
    Construct a signer with a name and a scope.
    Parameters:
      `name` - the signer's name.
      `scope` - the scope for this signer.
    Throws:
      `KeyManagementException`

- ## Method Details

  - ### isTrusted

    public boolean isTrusted()
    Returns true if this signer is trusted.

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `Principal`
    Overrides:
      `toString` in class `Signer`